IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'GetUserGroups')
	BEGIN
		DROP  Procedure  GetUserGroups
	END

GO
/***********************************************
***功能描述：根据用户ID获取用户所在的组列表
***传入传出参数：
***	@UserID：用户ID
***	@SubSystemID：要获取的子系统编号

***作者：
***建立时间:2009-1-6
***更改时间：
***更改人：
***更改原因：
****************************************************/
CREATE PROCEDURE GetUserGroups
	@SubSystemID VARCHAR(6),
	@UserID int
AS

SELECT [Group].* FROM User_Group
	INNER JOIN [Group]
		ON [Group].GroupID=User_Group.GroupID
WHERE
	[Group].SubSystemID=@SubSystemID AND UserID=@UserID